RUN-PARTS(8)

NOMBRE
run-parts - Ejecuta scripts o programas en un directorio

SINOPSIS

run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY

run-parts -V

DESCRIPCIÓN

run-parts ejecuta todos los ficheros con permisos de ejecución, dentro de los limites descritos a continuación, que se encuentran en el directorio. Se ignoran otros ficheros o directorios. Si no se introducen las opción «--lsbsysinit» o «--regex», los nombres sólo pueden incluir caracteres ASCII mayúsculas y minúsculas, dígitos ASCII, guiones bajos ASCII, y signos de resta ASCII. SI se introduce la opción «--lsbsysinit», los nombres no pueden finalizar con «.dpkg-old», «.dpkg-dist», «.dpkg-new» o «dpkg-tmp». Además, deben pertenecer a uno de los siguientes espacios de nombre: el espacio asignado por LANANA , (^[a-z0-9]+$); los espacios de nombre jerárquicos y reservados LSB, (^_?([a-z0-9_.]+-)+[a-z0-9]+$); y el espacio de nombre del script para cron de Debian, (^[a-zA-Z0-9_-]+$). Si se introduce la opción «--regex», los nombres deben coincidir con la expresión regular extendida definida como argumento a esa opción. Files are run sequentially in the lexical sort order (according to the C/POSIX locale character collation rules) of their names unless the --reverse option is given, in which case they are run in the opposite order.

OPCIONES

--test
    Muestra los nombres de los scripts que se ejecutarían, sin ejecutarlos.

--list
    print the names of the all matching files (not limited to executables), but don't actually run them. This option cannot be used with --test.

-v, --verbose
    Muestra el nombre de cada script por la salida de error estándar antes de su ejecución.

--report
    Similar a --verbose, pero sólo muestra el nombre de los scripts que generan una salida. El nombre del script aparecerá por la salida que emplee, sea la salida estándar o la salida de error estándar.

-d, --debug
    print to stderr which scripts get selected for running and which don't.

--reverse
    Invierte el orden de ejecución de los scripts

--exit-on-error
    Cancela el proceso si un script devuelve un código de salida distinto de cero.

--lsbsysinit
    Utiliza espacios de nombre LSB en lugar del comportamiento clásico.

--new-session
    Ejecuta cada script en una sesión diferente. Si usa esta opción, cancelar el proceso de «run-parts» no cancela el script en ejecución, sino que este continua hasta su finalización.

--regex=expresión-regular
    Comprueba los nombres de fichero con una expresión regular extendida personalizada, expresión-regular. Consulte la sección EJEMPLOS para ver uno.

-u, --umask=umask
    Define umask con el valor umask antes de ejecutar los scripts. umask se debe especificar con un valor octal. El valor predeterminado de umask es 022.

-a, --arg=argumento
    Introduce el argumento a los scripts. Cada argumento a introducir debe ir precedido de --arg.

--  Define el final de las opciones. Todos los nombres de fichero a continuación de -- no se tomarán como opción, incluso si empiezan con un carácter de guión.

-h, --help
    Muestra la información de uso y cierra.

-V, --version
    Muestra la versión e información acerca del copyright y cierra.

EJEMPLOS

Lo siguiente muestra los nombres de todos los ficheros bajo «/etc» que empiezan con «p», y terminan con «d».

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT

Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts es software libre; consulte la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. No hay ninguna garantía.